OGRE-Next: Ogre::GLXUtils Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
Ogre::GLXUtils Class Reference

`#include <OgreGLXUtils.h>`

## Static Public Member Functions
static GLXFBConfig | getFBConfigFromContext (Display *display, ::GLXContext context)
| Get the GLXFBConfig used to create a ::GLXContext.
static GLXFBConfig | getFBConfigFromDrawable (Display *display, GLXDrawable drawable, unsigned int *width, unsigned int *height)
| Get the GLXFBConfig used to create a GLXDrawable.
static bool | loadIcon (Display *display, const std::string &name, Pixmap *pix, Pixmap *mask)
| Loads an icon from an Ogre resource into the X Server.
static GLXFBConfig | selectFBConfig (Display *display, const int *minAttribs, const int *maxAttribs)
| Select an FBConfig given a list of required and a list of desired properties.

## Static Public Attributes
static PFNGLXCHOOSEFBCONFIGPROC | chooseFBConfig
static PFNGLXCREATENEWCONTEXTPROC | createNewContext
static PFNGLXGETFBCONFIGATTRIBPROC | getFBConfigAttrib
static PFNGLXGETVISUALFROMFBCONFIGPROC | getVisualFromFBConfig

## Member Function Documentation

## ◆ getFBConfigFromContext()

static GLXFBConfig Ogre::GLXUtils::getFBConfigFromContext | ( | Display * | display,
|  | ::GLXContext | context )
| static

Get the GLXFBConfig used to create a ::GLXContext.

Parameters

  display | X Display
  context | GLXContext

Returns
  GLXFBConfig used to create the context

## ◆ getFBConfigFromDrawable()

static GLXFBConfig Ogre::GLXUtils::getFBConfigFromDrawable | ( | Display * | display,
|  | GLXDrawable | drawable,
|  | unsigned int * | width,
|  | unsigned int * | height )
| static

Get the GLXFBConfig used to create a GLXDrawable.

Caveat: GLX version 1.3 is needed when the drawable is a GLXPixmap

Parameters

  display | X Display
  drawable | GLXDrawable
  width | Receiver for the drawable width
  height | Receiver for the drawable height

Returns
  GLXFBConfig used to create the drawable

## ◆ loadIcon()

static bool Ogre::GLXUtils::loadIcon | ( | Display * | display,
|  | const std::string & | name,
|  | Pixmap * | pix,
|  | Pixmap * | mask )
| static

Loads an icon from an Ogre resource into the X Server.

This currently only works for 24 and 32 bit displays. The image must be findable by the Ogre resource system, and of format PF_A8R8G8B8.

Parameters

  display | X display
  name | Name of image to load
  pix | Receiver for the output pixmap
  mask | Receiver for the output mask (alpha bitmap)

Returns
  true on success

## ◆ selectFBConfig()

static GLXFBConfig Ogre::GLXUtils::selectFBConfig | ( | Display * | display,
|  | const int * | minAttribs,
|  | const int * | maxAttribs )
| static

Select an FBConfig given a list of required and a list of desired properties.

Parameters

  display | X Display
  minAttribs | FBConfig attributes that must be provided with minimum values
  maxAttribs | FBConfig attributes that are preferred with maximum values

Returns
  GLXFBConfig with attributes or 0 when unsupported.

## Member Data Documentation

## ◆ chooseFBConfig

PFNGLXCHOOSEFBCONFIGPROC Ogre::GLXUtils::chooseFBConfig
| static

## ◆ createNewContext

PFNGLXCREATENEWCONTEXTPROC Ogre::GLXUtils::createNewContext
| static

## ◆ getFBConfigAttrib

PFNGLXGETFBCONFIGATTRIBPROC Ogre::GLXUtils::getFBConfigAttrib
| static

## ◆ getVisualFromFBConfig

PFNGLXGETVISUALFROMFBCONFIGPROC Ogre::GLXUtils::getVisualFromFBConfig
| static

The documentation for this class was generated from the following file:

- OgreGLXUtils.h